import request from '@/utils/request'

// 查询APP信息列表
export function listApp(query) {
  return request({
    url: '/ss/app/list',
    method: 'get',
    params: query
  })
}

// 查询APP信息列表
export function listAppByIds(ids) {
  return request({
    url: '/ss/app/listByIds',
    method: 'post',
    headers: {
      repeatSubmit: true,
    },
    data: ids
  })
}

// 查询APP信息详细
export function getApp(id) {
  return request({
    url: '/ss/app/' + id,
    method: 'get'
  })
}

// 新增APP信息
export function addApp(data) {
  return request({
    url: '/ss/app',
    method: 'post',
    data: data
  })
}

// 修改APP信息
export function updateApp(data) {
  return request({
    url: '/ss/app',
    method: 'put',
    data: data
  })
}

// 删除APP信息
export function delApp(id) {
  return request({
    url: '/ss/app/' + id,
    method: 'delete'
  })
}
